View Issue Details

IDProjectCategoryView StatusLast Update
0015033LazarusDatabase Componentspublic2015-05-17 04:41
ReporterAlberto FaenzaAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWindows Vista 32 bitOS VersionSP2
Product VersionProduct Build 
Target Version1.6Fixed in Version1.5 (SVN) 
Summary0015033: No information in SaveToFileTDBGrid component
DescriptionWhen trying to execute the method SaveToFile on a TDBGrig component, no information are saved to file except the following:

<?xml version="1.0"?>
<CONFIG>
  <grid version="3">
    <saveoptions create="False" position="False"/>
  </grid>
</CONFIG>

Apparently this is related to the property SaveOptions which appears not settable in TDBGrid (differently from TStringGrid).

In this case, what is the goal of this procedure on TDBGrid type?
Steps To ReproduceExecute the method SaveToFile on a TDBGrid component.

In order to reproduce the problem I'm uploading a program with a text database file and a button to call the SaveToFile method.
Tagsdbgrids, SaveToFile
Fixed in Revision49056
LazTarget1.6
Widgetset
Attached Files

Activities

2009-11-08 19:11

 

TDBGrid_bug.zip (228,416 bytes)

nomorelogic

2015-05-07 14:48

reporter   ~0083515

I made some changes to use SaveToFile from a TDbGrid instance.
I hope can be a good solution.

nomorelogic

2015-05-07 14:48

reporter  

nomorelogicpatch.7z (1,961 bytes)

Jesus Reyes

2015-05-17 04:41

developer   ~0083676

Applied with many changes/fixes. Thanks.

Issue History

Date Modified Username Field Change
2009-11-08 19:11 Alberto Faenza New Issue
2009-11-08 19:11 Alberto Faenza Status new => assigned
2009-11-08 19:11 Alberto Faenza Assigned To => Joost van der Sluis
2009-11-08 19:11 Alberto Faenza File Added: TDBGrid_bug.zip
2009-11-08 19:17 Alberto Faenza Tag Attached: SaveToFile
2009-11-08 19:17 Alberto Faenza Tag Attached: TDBGrid
2009-11-08 20:27 Vincent Snijders Project FPC => Lazarus
2009-11-08 20:27 Vincent Snijders Assigned To Joost van der Sluis => Jesus Reyes
2010-03-15 02:56 Jesus Reyes Tag Detached: TDBGrid
2010-03-15 02:56 Jesus Reyes Tag Attached: dbgrids
2015-05-07 14:48 nomorelogic Note Added: 0083515
2015-05-07 14:48 nomorelogic File Added: nomorelogicpatch.7z
2015-05-17 04:41 Jesus Reyes Fixed in Revision => 49056
2015-05-17 04:41 Jesus Reyes LazTarget => 1.6
2015-05-17 04:41 Jesus Reyes Note Added: 0083676
2015-05-17 04:41 Jesus Reyes Status assigned => resolved
2015-05-17 04:41 Jesus Reyes Fixed in Version => 1.5 (SVN)
2015-05-17 04:41 Jesus Reyes Resolution open => fixed
2015-05-17 04:41 Jesus Reyes Target Version => 1.6